CVE-2011-4130

HIGH

Description

Use-after-free vulnerability in the Response API in ProFTPD before 1.3.3g allows remote authenticated users to execute arbitrary code via vectors involving an error that occurs after an FTP data transfer.

References

http://bugs.proftpd.org/show_bug.cgi?id=3711

http://www.proftpd.org/docs/NEWS-1.3.3g

http://www.securityfocus.com/bid/50631

http://www.zerodayinitiative.com/advisories/ZDI-11-328/

Details

Source: MITRE

Published: 2011-12-06

Updated: 2011-12-08

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 9

Vector: (AV:N/AC:L/Au:S/C:C/I:C/A:C)

Impact Score: 10

Exploitability Score: 8

Severity: HIGH